package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAASettings.Update(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAASettingsServiceUpdateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"allowRefreshTokenSubjects": true,
"createdAt": "2023-11-07T05:31:56Z",
"defaultGrantLifetime": "<string>",
"enabled": true,
"enabledSigningAlgorithms": [],
"updatedAt": "2023-11-07T05:31:56Z",
"xaaIdTokenLifetime": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access"
payload = {
"settings": {
"allowRefreshTokenSubjects": True,
"createdAt": "2023-11-07T05:31:56Z",
"defaultGrantLifetime": "<string>",
"enabled": True,
"enabledSigningAlgorithms": [],
"updatedAt": "2023-11-07T05:31:56Z",
"xaaIdTokenLifetime": "<string>"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {
allowRefreshTokenSubjects: true,
createdAt: '2023-11-07T05:31:56Z',
defaultGrantLifetime: '<string>',
enabled: true,
enabledSigningAlgorithms: [],
updatedAt: '2023-11-07T05:31:56Z',
xaaIdTokenLifetime: '<string>'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settings": {
"allowRefreshTokenSubjects": true,
"createdAt": "2023-11-07T05:31:56Z",
"defaultGrantLifetime": "<string>",
"enabled": true,
"enabledSigningAlgorithms": [],
"updatedAt": "2023-11-07T05:31:56Z",
"xaaIdTokenLifetime": "<string>"
}
}Update
Update the tenant’s cross-app-access settings. Supply the settings object and an update mask listing the fields to change; only masked fields are applied. Editable paths: enabled, default_grant_lifetime, allow_refresh_token_subjects, default_signing_algorithm, enabled_signing_algorithms, xaa_id_token_lifetime.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAASettings.Update(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAASettingsServiceUpdateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
Response
XAASettingsServiceUpdateResponse returns the updated settings.
XAASettingsServiceUpdateResponse returns the updated settings.
XAASettings is the per-tenant cross-app-access issuer configuration.
Show child attributes
Show child attributes
Was this page helpful?